View Issue Details

IDProjectCategoryView StatusLast Update
0001991SymmetricDSImprovementpublic2014-09-30 10:18
ReporterelongAssigned Toelong 
Prioritynormal 
Status closedResolutionfixed 
Product Version3.6.0 
Target Version3.6.9Fixed in Version3.6.9 
Summary0001991: Allow override of startup parameters
DescriptionAllow the startup parameters, such as db.user and db.password, to be overridden from a custom class. A system property can be used to specify the implementation of ITypedPropertiesFactory:

-Dproperties.factory.class.name=com.mycompany.CustomTypedPropertiesFactory
Additional InformationIn 3.7, we should consider a common way to override any interface using similar notation in the properties file instead of messing with command-line argument system properties.
TagsNo tags attached.

Activities

There are no notes attached to this issue.

Issue History

Date Modified Username Field Change
2014-09-23 15:58 elong New Issue
2014-09-23 15:58 elong Status new => assigned
2014-09-23 15:58 elong Assigned To => elong
2014-09-23 17:00 Changeset attached => SymmetricDS 3.6 r8748
2014-09-24 10:00 Changeset attached => SymmetricDS 3.6 r8751
2014-09-30 10:11 elong Status assigned => resolved
2014-09-30 10:11 elong Fixed in Version => 3.6.9
2014-09-30 10:11 elong Resolution open => fixed
2014-09-30 10:18 chenson Status resolved => closed